﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="RadEditor.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>RadEditor Test</title>
    <script type="text/javascript">
        function OnClientLoad(combobox, args) {
            makeUnselectable(combobox.get_element());
        }
        function makeUnselectable(element) {
            $telerik.$("*", element).attr("unselectable", "on");
        }
        
        function AddInvoegVeld(sender, args) {
        	$telerik.$("*", sender.get_dropDownElement()).attr("unselectable", "on");

            objEditor.pasteHtml("%" + args.get_item().get_value() + "%");
        }

        function OnClientItemsRequested(sender, args) {
        	$telerik.$("*", sender.get_dropDownElement()).attr("unselectable", "on");
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">

        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" EnableScriptGlobalization="true"
            EnableScriptLocalization="true" EnablePageMethods="true">
        </telerik:RadScriptManager>

        <telerik:RadComboBox ID="RadComboBox1" runat="server" Height="240px" Width="300px"  HighlightTemplatedItems="true" ClientIDMode="Static" CssClass="hidden"
			OnClientSelectedIndexChanged="AddInvoegVeld" 
			OnClientLoad="OnClientLoad"
			OnClientItemsRequested="OnClientItemsRequested"
            EnableLoadOnDemand="true" />

        <telerik:RadEditor ID="reInhoud" runat="server" 
            ClientIDMode="Static" Width="950px" Height="600px" NewLineMode="Br" ToolsFile="~/toolsFile.xml"
            DialogHandlerUrl="~/Telerik.Web.UI.DialogHandler.axd"
            ContentFilters="MakeUrlsAbsolute, DefaultFilters, OptimizeSpans" OnClientLoad="reInhoud_ClientLoad">
            <ImageManager MaxUploadFileSize="2097152" />
        </telerik:RadEditor>

        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">


            <script type="text/javascript">

                // De custom editor vervangen door een eigen zodat je er in kunt typen
                var objEditor;
                function reInhoud_ClientLoad(editor, args) {

                    //get a reference to the combo wrapper 
                    var combo = $find("<%=RadComboBox1.ClientID%>");
                    var comboWrapper = combo.get_element();
                    //get a reference to the custom dropdown tool and its parent element 
                    var customDropdown = editor.getToolByName("Invoegvelden").get_element();
                    var parentCustomTool = customDropdown.parentNode;
                    //insert the combobox before the custom dropdown 
                    parentCustomTool.insertBefore(comboWrapper, customDropdown);
                    //hide the custom dropdown 
                    customDropdown.style.display = "none";

                    objEditor = editor;
                }

            </script>
        </telerik:RadCodeBlock>
    </form>
</body>
</html>
